import request from '@/utils/request'

/**
 * 机器人前往目标站点
 * @param {Object} params
 * @param {string} [params.deviceId]  - 设备ID，默认 agv_src1100
 */
export function getRuntimeState(params) {
    return request('/api/agv/getRuntimeState', params, 'POST')
}

export function getCurrentMap(params) {
    return request('/api/agv/getCurrentMap', params, 'POST')
}

export function getRobotState(params) {
    return request('/api/agv/getRobotState', params, 'POST')
}

export function moveRobot(params) {
    return request('/api/agv/moveRobot', params, 'POST')
}

export function stopRobot(params) {
    return request('/api/agv/stopRobot', params, 'POST')
}